Package org.apache.sling.repoinit.parser.operations

# Class Operation

java.lang.Object
org.apache.sling.repoinit.parser.operations.Operation

Direct Known Subclasses:
  `AddGroupMembers`, `BaseMixinsOperation`, `CreateGroup`, `CreatePath`, `CreateUser`, `DeleteAclPaths`, `DeleteAclPrincipalBased`, `DeleteAclPrincipals`, `DeleteGroup`, `DeleteUser`, `EnsureAclPrincipalBased`, `EnsureNodes`, `RegisterNamespace`, `RegisterNodetypes`, `RegisterPrivilege`, `RemoveAcePaths`, `RemoveAcePrincipalBased`, `RemoveAcePrincipals`, `RemoveGroupMembers`, `ServiceUserOperation`, `SetAclPaths`, `SetAclPrincipalBased`, `SetAclPrincipals`, `SetProperties`

@ProviderType public abstract class Operation extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DQUOTE`

## Constructor Summary

Constructors
Constructor
Description
`Operation()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`accept(OperationVisitor v)`
`abstract @NotNull String`
`asRepoInitString()`
Converts this operation instance to a RepoInit string representation including the current operation parameters.
`static String`
`cleanupQuotedString(String s)`
`protected abstract String`
`getParametersDescription()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DQUOTE

public static final String DQUOTE

See Also:
  - Constant Field Values

## Constructor Details

### Operation

public Operation()

## Method Details

### accept

public abstract void accept(OperationVisitor v)

### getParametersDescription

protected abstract String getParametersDescription()

### asRepoInitString

@NotNull public abstract @NotNull String asRepoInitString()
Converts this operation instance to a RepoInit string representation including the current operation parameters. The representation must be parsable back into an equivalent operation and must end with a OS-compatible line separator.

Returns:
  the repoinit string for the operation

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### cleanupQuotedString

public static String cleanupQuotedString(String s)